org.eclipse.oomph.setup.log

## Interface ProgressLogRunnable

-     public interface ProgressLogRunnable

  Author:
    Eike Stepper

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<String>` | `run(ProgressLog log)`

- - ### Method Detail

    - #### run

          Set<String> run(ProgressLog log)
                          throws Exception

      Returns:
        a non-empty set of reasons if a restart is needed, an empty set or `null` otherwise.
      Throws:
        `Exception`

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html